<script>
	const uat_URL = 'https://aitour.test.zyucgj.com/at-employee/' // 预发布
	// const uat_URL = 'http://192.168.16.100:9102/at-employee/' // 本地
	const pro_URL = 'https://aitour.zyucgj.com/at-employee/'  // 生产
	const buildType = 0 // 打包环境对应类型，1 生产 0 预发布
	const buildURL = buildType ? pro_URL : uat_URL // 打包后实际对应的url
	const envText = ['预发布环境','生产环境']
	const envTips = process.env.NODE_ENV == 'development' ? envText[0] : envText[buildType]
	export default {
		globalData: {  
			baseUrl: process.env.NODE_ENV == 'development' ? uat_URL : buildURL,
			token: '',
			version: '', // 当前版本号
			buildType: buildType,
			envTips: envTips
		},
		mounted() {
			// 非V3模式
			if(this.$scope){
				this.$scope.globalData.token = this.$store.state.vuex_token
			}else{
				// V3模式
				getApp({allowDefault: true}).globalData.token = this.$store.state.vuex_token
			}
		},
		onLaunch: function() {
			console.log('App onLaunch')
		},
		onShow: function() {
			console.log('App Show')
		},
		onHide: function() {
			console.log('App Hide')
		}
	}
</script>

<style lang="scss">
	/* 自定义图标字体 */
	@import "./static/iconfont/iconfont.css";
	/*uview css */
	@import "uview-ui/index.scss";
	/* 登录页是否记住密码多选框样式 */
	uni-checkbox.login-form-checkbox .uni-checkbox-input{
		width: 24upx !important;
		height: 24upx !important;
	}
	.list-nomore{
		text-align: center;
		padding: 20upx;
		color: #999;
	}
</style>
